<template>
	<view>
		<combined-title title="发运详情"></combined-title>
		<view class="compDetails">
			<uni-table border stripe emptyText="暂无更多数据">
				<uni-tr>
					<uni-th align="left">提煤单编号</uni-th>
					<uni-td align="left">{{ faYunDetailobj.code || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">提煤单状态</uni-th>
					<uni-td align="left">{{ coalStatus[faYunDetailobj.status] }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">车牌号</uni-th>
					<uni-td align="left">{{ faYunDetailobj.carNo || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">入场时间</uni-th>
					<uni-td align="left">{{ faYunDetailobj.inTime || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">出场时间</uni-th>
					<uni-td align="left">{{ faYunDetailobj.outTime || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">皮重</uni-th>
					<uni-td align="left">{{ faYunDetailobj.skin || 0 }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">毛重</uni-th>
					<uni-td align="left">{{ faYunDetailobj.hair || 0 }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">净重</uni-th>
					<uni-td align="left">{{ faYunDetailobj.clean || 0 }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">订单编号</uni-th>
					<uni-td align="left">{{ faYunDetailobj.orderCode || '' }}</uni-td>
				</uni-tr>
				<uni-tr>
					<uni-th align="left">订单剩余量</uni-th>
					<uni-td align="left">{{ faYunDetailobj.allowance || 0 }}</uni-td>
				</uni-tr>
			</uni-table>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			id: '',
			faYunDetailobj: {},
			coalStatus: ['领取', '预约', '签到', '入场', '称皮', '称毛', '离场', '入磅房', '出磅房', '入煤场', '出煤仓']
		};
	},
	methods: {},
	onLoad(params) {
		this.id = params.id;
	},
	onShow() {
		this.$reqGet('getTakeCoal', { takeCoalId: this.id }).then(res => {
			if (res.code == 0) {
				this.faYunDetailobj = res.data;
			} else {
				this.$u.toast('获取数据失败');
			}
		});
	}
};
</script>

<style scoped lang="scss">
.uni-table {
	.uni-table-tr {
		padding: 0;
		border: vww(1) solid #c6c6c6;
		.uni-table-th {
			font-size: vww(14);
			height: vww(30);
			line-height: vww(30);
			padding: vww(5) vww(10);
			color: #111111;
			font-weight: 500;
			background: #e2e2e2;
		}
		.uni-table-td {
			font-size: vww(14);
			font-weight: 400;
			height: vww(30);
			line-height: vww(30);
			padding: vww(5) vww(10);
			color: #111111;
		}
	}
}
</style>
